GraphViz::XML(3)

NAME
GraphViz::XML - Visualise XML as a tree

SYNOPSIS
  use GraphViz::XML;

  my $graph = GraphViz::XML->new($xml);
  print $g->as_png;

DESCRIPTION
This module makes it easy to visualise XML as a tree. XML is hard for humans to grasp, especially if the XML is computer-generated. This modules aims to visualise the XML as a graph in order to make the structure of the XML clear and to aid in understanding the XML.

XML elements are represented as diamond nodes, with links to elements within them. Character data is represented in round nodes.

Note that the XML::Twig module should be installed.

METHODS

  new
This is the constructor. It takes one mandatory argument, which is the XML to be visualised. A GraphViz object is returned.

  my $graph = GraphViz::XML->new($xml);

  as_*
The XML can be visualised in a number of different graphical formats. Methods include as_ps, as_hpgl, as_pcl, as_mif, as_pic, as_gd, as_gd2, as_gif, as_jpeg, as_png, as_wbmp, as_ismap, as_imap, as_vrml, as_vtx, as_mp, as_fig, as_svg. See the GraphViz documentation for more information. The two most common methods are:

  # Print out a PNG-format file
  print $g->as_png;

  # Print out a PostScript-format file
  print $g->as_ps;

BUGS
GraphViz tends to reorder the nodes. I hope to find a work around soon (possibly with ports).

AUTHOR
Leon Brocard <acme@astray.com>

COPYRIGHT
Copyright (C) 2001, Leon Brocard

This module is free software; you can redistribute it or modify it under the Perl License, a copy of which is available at <http://dev.perl.org/licenses/>.